SND_DMAENGINE_PCM_RE(9)

NAME
snd_dmaengine_pcm_request_channel - Request channel for the dmaengine PCM

SYNOPSIS

struct dma_chan * snd_dmaengine_pcm_request_channel(dma_filter_fn filter_fn, void * filter_data);

ARGUMENTS

filter_fn
    Filter function used to request the DMA channel

filter_data
    Data passed to the DMA filter function

DESCRIPTION

Returns NULL or the requested DMA channel.

This function request a DMA channel for usage with dmaengine PCM.

COPYRIGHT